dcblock2
Prev | Orchestra Opcodes and Operators | Next

## dcblock2

dcblock2 — A DC blocking filter.

## Description

Implements a DC blocking filter with improved DC attenuation.

## Syntax

    ares dcblock2 ain [, iorder] [, iskip]

## Initialization

iorder -- filter order, minimum 4th order, defaults to 128.

iskip -- set to 1 to skip initialization (defaults to 0).

## Performance

ares -- filered audio signal

ain -- input audio signal

| Note
Using a value for iorder less that ksmps will not reduce DC offset efficiently.

## See also

dcblock

## Credits

By: Victor Lazzarini

New in Csound version 5.09

Prev | Up | Next
dcblock | Home | dconv